Update a webhook configuration

This endpoint allows a user to update the webhook config represented by webhookConfigId.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
🚧

The only fields on a webhook config that can be updated are webhookUrl and subscribedEvents.

curl -X PUT \
https://sandbox.api.mothership.com/beta/webhookConfig/{webhookConfigId} \
  -H 'Authorization: Bearer {YOUR_API_TOKEN}' \
  -H 'Content-Type: application/json' \
  -d '{
      "webhookUrl": "https://www.yourserver.io/newWebhook/mothership",
      "subscribedEvents": ["shipment.status.updated"]
      }'
{
  "data": {
    "id": "48asjgaoi33nkl4t3lae",
    "createdAt": "2019-03-20T16:17:13:424Z",
    "status": "active",
    "subscribedEvents": ["shipment.status.updated"],
    "webhookUrl": "https://www.yourserver.io/newWebhook/mothership"
  }
}
Path Params
string
required

ID of the webhook config to update

Body Params

Webhook Config data

subscribedEvents
array of strings

Array of events that will trigger a webhook event

subscribedEvents
string

URL that Mothership's server will POST webhook events to

Response

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json